Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Interface TaxParameters

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  TaxParametersImpl

Deprecated

    @Deprecated
    public interface TaxParameters

extends Belonging

Currently defined locations include: ShipTo ShipFrom OrderAcceptance OrderOrigin Currently defined order-based attributes include: (listed with "name" (type) (default) explanation. None are required.) freight (com.beasys.commerce.axiom.units.Price)(0) commit (Boolean) (True) store the tax in the audit file or not credit (Boolean) (False) for credit transactions titlePassage(Char) (D)-O for point of Origin, D for point of Delivery date (java.sql.Date) (current system Date) date of tax taxType (Character) (S) S for sales tax U for use tax companyID (String) (PlaceHolder) The name of the source company for the transaction overrideTax (Double) (0) The override tax rate as a fraction, 0.0 means no override sellerRegistrationNumber (String) (null) the seller registration number, used in world tax Attribute: location

- Containment: By Value
- Multiplicity: 0:N
- Interface: java.util.Map

See Also
  `TaxParametersHome`, `TaxParametersImpl`

Field Summary
`static String` | `BUSINESSLOCATIONCODE` Deprecated
`static String` | `BUYERREGISTRATIONNUMBER` Deprecated
`static String` | `COMMIT` Deprecated
`static String` | `COMPANYID` Deprecated
`static String` | `COUNTRYOFORIGIN` Deprecated
`static String` | `CREDIT` Deprecated
`static String` | `CURRENCY` Deprecated
`static String` | `DATE` Deprecated
`static String` | `DELIVERYTERMS` Deprecated
`static String` | `DISTANCESALEINDICATOR` Deprecated
`static String` | `DOCUMENTNUMBER` Deprecated
`static String` | `FREIGHT` Deprecated
`static String` | `MODEOFTRANSPORT` Deprecated
`static String` | `NETMASS` Deprecated
`static String` | `NOTC` Deprecated
`static String` | `ORDERACCEPTANCE` Deprecated
`static String` | `ORDERORIGIN` Deprecated
`static String` | `REGIONOFORIGINORDESTINATION` Deprecated
`static String` | `SELLERREGISTRATIONNUMBER` Deprecated
`static String` | `SHIPFROM` Deprecated
`static String` | `SHIPTO` Deprecated
`static String` | `STATISTICALPROCEDURECODE` Deprecated
`static String` | `TAXDEBUG` Deprecated
`static String` | `TAXSELPARM` Deprecated
`static String` | `TAXTYPE` Deprecated
`static String` | `TITLEPASSAGE` Deprecated
`static String` | `TRANSACTIONTYPE` Deprecated
`static String` | `WTCODE` Deprecated

Method Summary
`void` | `addAttrib(String name, Object obj)` Deprecated adds an attribute to the attributes in TaxParameter.
`void` | `clearLocationMap()` Deprecated Removes all mappings from this map (optional operation).
`boolean` | `equalsLocationMap(Object object)` Deprecated Compares the specified object with this map for equality.
`Object` | `getAttrib(String name)` Deprecated returns an object that has the given string as attirbute.
`com.beasys.commerce.axiom.contact.Address` | `getLocation(Object key)` Deprecated Returns the value to which this map maps the specified key.
`Map` | `getLocationMap()` Deprecated Returns the entire map
`TreeMap` | `getOrderAttribs()` Deprecated For ease of use, in case the same parameters need to be reused.
`boolean` | `isLocationMapEmpty()` Deprecated Returns true if this map contains no key-value mappings.
`boolean` | `locationMapContainsKey(Object key)` Deprecated Returns true if this map contains a mapping for the specified key.
`boolean` | `locationMapContainsValue(com.beasys.commerce.axiom.contact.Address element)` Deprecated Returns true if this map maps one or more keys to the specified value.
`Set` | `locationMapEntrySet()` Deprecated Returns a set view of the mappings contained in this map.
`int` | `locationMapHashCode()` Deprecated Returns the hash code value for this map.
`Iterator` | `locationMapIterator()` Deprecated Returns an iterator for this map
`Set` | `locationMapKeySet()` Deprecated Returns a set view of the keys contained in this map.
`int` | `locationMapSize()` Deprecated Returns the number of key-value mappings in this map.
`Collection` | `locationMapValues()` Deprecated Returns a collection view of the values contained in this map.
`com.beasys.commerce.axiom.contact.Address` | `putLocation(Object key, com.beasys.commerce.axiom.contact.Address element)` Deprecated Associates the specified value with the specified key in this map (optional operation).
`void` | `putLocationMap(Map map)` Deprecated Copies all of the mappings from the specified map to this map (optional operation).
`com.beasys.commerce.axiom.contact.Address` | `removeLocation(Object key)` Deprecated Removes the mapping for this key from this map if present (optional operation).
`void` | `setLocationMap(Map map)` Deprecated Sets the entire map
`void` | `setOrderAttribs(TreeMap orderAttribs)` Deprecated For ease of use, if desired, the entire set of attributes may be set.

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### SHIPTO

    static final String SHIPTO

  Deprecated
  See Also
    Constants Summary

### SHIPFROM

    static final String SHIPFROM

  Deprecated
  See Also
    Constants Summary

### ORDERACCEPTANCE

    static final String ORDERACCEPTANCE

  Deprecated
  See Also
    Constants Summary

### ORDERORIGIN

    static final String ORDERORIGIN

  Deprecated
  See Also
    Constants Summary

### COMMIT

    static final String COMMIT

  Deprecated
  See Also
    Constants Summary

### CREDIT

    static final String CREDIT

  Deprecated
  See Also
    Constants Summary

### TITLEPASSAGE

    static final String TITLEPASSAGE

  Deprecated
  See Also
    Constants Summary

### COMPANYID

    static final String COMPANYID

  Deprecated
  See Also
    Constants Summary

### BUSINESSLOCATIONCODE

    static final String BUSINESSLOCATIONCODE

  Deprecated
  See Also
    Constants Summary

### DATE

    static final String DATE

  Deprecated
  See Also
    Constants Summary

### TAXTYPE

    static final String TAXTYPE

  Deprecated
  See Also
    Constants Summary

### CURRENCY

    static final String CURRENCY

  Deprecated
  See Also
    Constants Summary

### FREIGHT

    static final String FREIGHT

  Deprecated
  See Also
    Constants Summary

### TRANSACTIONTYPE

    static final String TRANSACTIONTYPE

  Deprecated
  See Also
    Constants Summary

### WTCODE

    static final String WTCODE

  Deprecated
  See Also
    Constants Summary

### DOCUMENTNUMBER

    static final String DOCUMENTNUMBER

  Deprecated
  See Also
    Constants Summary

### DISTANCESALEINDICATOR

    static final String DISTANCESALEINDICATOR

  Deprecated
  See Also
    Constants Summary

### MODEOFTRANSPORT

    static final String MODEOFTRANSPORT

  Deprecated
  See Also
    Constants Summary

### COUNTRYOFORIGIN

    static final String COUNTRYOFORIGIN

  Deprecated
  See Also
    Constants Summary

### REGIONOFORIGINORDESTINATION

    static final String REGIONOFORIGINORDESTINATION

  Deprecated
  See Also
    Constants Summary

### DELIVERYTERMS

    static final String DELIVERYTERMS

  Deprecated
  See Also
    Constants Summary

### NOTC

    static final String NOTC

  Deprecated
  See Also
    Constants Summary

### TAXSELPARM

    static final String TAXSELPARM

  Deprecated
  See Also
    Constants Summary

### STATISTICALPROCEDURECODE

    static final String STATISTICALPROCEDURECODE

  Deprecated
  See Also
    Constants Summary

### NETMASS

    static final String NETMASS

  Deprecated
  See Also
    Constants Summary

### SELLERREGISTRATIONNUMBER

    static final String SELLERREGISTRATIONNUMBER

  Deprecated
  See Also
    Constants Summary

### BUYERREGISTRATIONNUMBER

    static final String BUYERREGISTRATIONNUMBER

  Deprecated
  See Also
    Constants Summary

### TAXDEBUG

    static final String TAXDEBUG

  Deprecated
  See Also
    Constants Summary

Method Detail

### getLocationMap

    Map getLocationMap()

  Deprecated
  Returns the entire map

### setLocationMap

    void setLocationMap(Map map)

  Deprecated
  Sets the entire map

### locationMapIterator

    Iterator locationMapIterator()

  Deprecated
  Returns an iterator for this map

### clearLocationMap

    void clearLocationMap()

  Deprecated
  Removes all mappings from this map (optional operation).

### locationMapContainsKey

    boolean locationMapContainsKey(Object key)

  Deprecated
  Returns true if this map contains a mapping for the specified key.

### locationMapContainsValue

    boolean locationMapContainsValue(com.beasys.commerce.axiom.contact.Address element)

  Deprecated
  Returns true if this map maps one or more keys to the specified value.

### locationMapEntrySet

    Set locationMapEntrySet()

  Deprecated
  Returns a set view of the mappings contained in this map.

### equalsLocationMap

    boolean equalsLocationMap(Object object)

  Deprecated
  Compares the specified object with this map for equality.

### getLocation

    com.beasys.commerce.axiom.contact.Address getLocation(Object key)

  Deprecated
  Returns the value to which this map maps the specified key.

### locationMapHashCode

    int locationMapHashCode()

  Deprecated
  Returns the hash code value for this map.

### isLocationMapEmpty

    boolean isLocationMapEmpty()

  Deprecated
  Returns true if this map contains no key-value mappings.

### locationMapKeySet

    Set locationMapKeySet()

  Deprecated
  Returns a set view of the keys contained in this map.

### putLocation

    com.beasys.commerce.axiom.contact.Address putLocation(Object key,
                                                          com.beasys.commerce.axiom.contact.Address element)

  Deprecated
  Associates the specified value with the specified key in this map (optional operation).

### putLocationMap

    void putLocationMap(Map map)

  Deprecated
  Copies all of the mappings from the specified map to this map (optional operation).

### removeLocation

    com.beasys.commerce.axiom.contact.Address removeLocation(Object key)

  Deprecated
  Removes the mapping for this key from this map if present (optional operation).

### locationMapSize

    int locationMapSize()

  Deprecated
  Returns the number of key-value mappings in this map.

### locationMapValues

    Collection locationMapValues()

  Deprecated
  Returns a collection view of the values contained in this map.

### addAttrib

    void addAttrib(String name,
                   Object obj)

  Deprecated
  adds an attribute to the attributes in TaxParameter. If a map does not exist, it will be created. Address attributes should be set via the accessors to the location collection.

### getAttrib

    Object getAttrib(String name)

  Deprecated
  returns an object that has the given string as attirbute. If the attribute does not exist, then it returns null.

### setOrderAttribs

    void setOrderAttribs(TreeMap orderAttribs)

  Deprecated
  For ease of use, if desired, the entire set of attributes may be set.

### getOrderAttribs

    TreeMap getOrderAttribs()

  Deprecated
  For ease of use, in case the same parameters need to be reused. Note that the locations collection is not included in the treemap returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.